<?php

namespace Shasoft\SDemo\Middleware;

use Shasoft\SamoyedCMG\Service\IRequest;
use Symfony\Component\HttpFoundation\Response;

// Тестовый посредник
class ModifyHeaderMiddleware
{
    // Конструктор
    public function __construct()
    {
    }
    // Метод обработки запроса/ответа
    public function handle(IRequest $request, \Closure $next, array $args): Response
    {
        $response = $next($request);

        // Выполнить действие
        $response->headers->set($args['name'], 'ModifyHeaderMiddleware');
        // Вернуть ответ
        return $response;
    }
}
