<?php

namespace Shasoft\SamoyedCMG\Generator;

use Shasoft\SamoyedCMG\Generator\ApiSavePrivate;

// API для функции генерации html
class ApiHtml
{
    // Конструктор
    public function __construct(protected ApiSavePrivate $api)
    {
    }
    // Нормализация
    public function normalize(string $filepath): string
    {
        return $this->api->normalize($filepath);
    }
    // Имя файла/директории относительно корня сайта
    public function relSite(string $filepath): string
    {
        $ret = $this->api->relSite($filepath);
        // Если директория
        if (is_dir($filepath)) {
            // то добавить слеш
            $ret .= '/';
        }
        //s_dd($packageName, $filepath, $ret);
        return $ret;
    }
    // Получить HTML для копирования строки в буфер обмена
    public function copyToClipboard(string $textToClipboard, ?string $title = null): string
    {
        if (is_null($title)) $title = 'Копировать в буфер обмена';
        //
        return '<img title="' . addslashes($title) . '"src="../vendor/shasoft/samoyed-cmg/assets/copy-to-clipboard.png" style="cursor:pointer" onclick="copyToClipboard(\'' . addslashes($textToClipboard) . '\')">';
    }
};
