<?php

namespace Shasoft\SamoyedCMG\Generator;

use Shasoft\SamoyedCMG\Generator\ApiHtml;
use Shasoft\SamoyedCMG\Generator\ObjectGenerator;


// Генератор кода
abstract class CodeGenerator extends ObjectGenerator
{
    // Конструктор
    public function __construct()
    {
        parent::__construct();
    }
    // Генерация
    abstract protected function onGenerate(ApiGenerate $api): void;
    // Для настройки возвращать только один `ближайщий` объект
    abstract protected function hasOneTune(): bool;
    // Получить HTML код с информацией о генераторе
    abstract protected function getHtml(ApiHtml $api): string;
}
