<?php

namespace Shasoft\SamoyedCMG\Generator\Service;

use Shasoft\SamoyedCMG\Generator\ApiHtml;
use Shasoft\SamoyedCMG\Service\Config;
use Shasoft\SamoyedCMG\Service\IConfig;
use Shasoft\SamoyedCMG\Generator\ApiGenerate;
use Shasoft\SamoyedCMG\Generator\ServiceCodeGenerator;

// Тестовый сервис
class ServiceGeneratorConfig extends ServiceCodeGenerator
{
    // Конструктор
    public function __construct()
    {
        parent::__construct();
    }
    // Генерация
    protected function onGenerate(ApiGenerate $api): void
    {
        $api->setService(IConfig::class, Config::class);
    }
    // Получить HTML код с информацией о генераторе
    protected function getHtml(ApiHtml $api): string
    {
        return "";
    }
}
