<?php

use Shasoft\Support\FriendProxy;
use Shasoft\SamoyedCMG\Generator\ApiGenerate;
use Shasoft\SamoyedCMG\Generator\ManagerGenerators;

// Подключить файлы Composer
require $argv[1];

// Загрузить состояние
ManagerGenerators::load($argv[2]);

// Получить генератор кода
$generator = ManagerGenerators::get(intval($argv[3])/* id */);

// Родительский
$generatorParent = ManagerGenerators::get(intval($argv[4])/* parentId */);

// Api
$api = new ApiGenerate(ManagerGenerators::args(), $generator, $generatorParent);
//s_print(get_class($generator), get_class($generatorParent));

// Подключить скрипты
foreach ($generatorParent->getScripts() as $item) {
    // Подключипть все файлы (чтобы были доступны все классы)
    require $item['filepath'];
}

// Прокси объект
$generatorProxy = new FriendProxy($generator);

// Вызвать метод генерации
$generatorProxy->onGenerate($api);

// Сохранить состояние
ManagerGenerators::save($argv[2]);
