<?php

namespace Shasoft\SamoyedCMG\Service;

use Shasoft\SamoyedCMG\Service\IService;

// Пути маршрута
interface IPath extends IService
{
    // Директория сайта
    public function site(?string $pathX = null): string;
    // Директория пакетов
    public function vendor(?string $pathX = null): string;
    // Директория пакета
    public function package(string $packageName, ?string $pathX = null): string;
    // Временная директория
    public function temp(?string $pathX = null): string;
    // Директория www сервера
    public function wwwServer(?string $pathX = null): string;
    // Хранилище
    public function storage(?string $pathX = null): string;
}
