<?php

namespace Shasoft\SamoyedCMG\Service;

use Shasoft\SamoyedCMG\Service\IService;



// Сервис хранилища
interface IStorage extends IServiceTest
{
    // Установить
    public function put(string $key, mixed $value): IStorage;
    // Проверить наличие
    public function has(string $key): bool;
    // Получить значение
    public function get(string $key): mixed;
    // Удалить
    public function remove(string $key): IStorage;
    // Очистить
    public function clear(): IStorage;
}
