<?php

namespace Shasoft\SDemo\Controller;

use Shasoft\STwig\ITwig;

class HomeController
{
    // Конструктор
    public function __construct(protected ITwig $twig)
    {
    }
    // Запуск
    public function run()
    {
        return $this->twig->render(
            '@main/home.html.twig',
            [
                'microtime' => microtime(),
                'favicon' => '/link/file.ico',
                'links' =>
                [
                    '/' => 'Маршрут на основе контроллера',
                    '/link/file.ico' => 'Маршрут на основе ссылки на файл',
                    '/show-images/256' => 'Маршрут галлерея картинок на основе ссылки на папку (параметр маршрута = 256)',
                    '/show-images/128' => 'Маршрут галлерея картинок на основе ссылки на папку (параметр маршрута = 128)',
                    '/phpScript.php' => 'Маршрут на основе PHP скрипта',
                    '/middleware' => 'Маршрут на основе контроллера с посредником',
                    '/middleware/link/file.ico' => 'Маршрут на основе ссылки на файл с посредником',
                    '/middleware/show-images/256' => 'Маршрут галлерея картинок на основе ссылки на папку с посредником (параметр маршрута = 256)',
                    '/middleware/show-images/128' => 'Маршрут галлерея картинок на основе ссылки на папку с посредником (параметр маршрута = 128)',
                    '/middleware/phpScript.php' => 'Маршрут на основе PHP скрипта с посредником',
                ]
            ]
        );
    }
}
