<?php

namespace Shasoft\SDemo\Controller;

use Shasoft\STwig\ITwig;

class ShowImageController
{
    // Конструктор
    public function __construct(protected ITwig $twig)
    {
    }
    // Запуск
    public function run(int $width)
    {
        if ($width < 64) $width = 64;
        if ($width > 256) $width = 256;
        return $this->twig->render(
            '@main/show-image.html.twig',
            [
                'microtime' => microtime(),
                'width' => $width,
                'favicon' => '/link/file.ico',
                'links' =>
                [
                    '/middleware/link/folder/Sever.jpg' => 'Самоед и его имя',
                    '/middleware/link/folder/dogInCircle.jpg' => 'Самоед в соляном круге (чего только не встретишь на прогулке)',
                    '/middleware/link/folder/Smile.jpg' => 'Улыбка самоеда',
                    '/middleware/link/folder/Voy.jpg' => 'Самоед воет',
                ]
            ]
        );
    }
}
