<?php

namespace Shasoft\SamoyedCMG\Generator;

// Разобрать правило
class RouteParse
{
    // Корень шаблона
    public string $patternRoot = '';
    // Трансформировать шаблон
    public function transformPattern(\Closure $cb)
    {
        $this->patternRoot = implode('/', array_map(
            function ($path) use ($cb) {
                // Обрезать пробелы
                $path = trim($path);
                // Это параметр?
                $nameArg = false;
                if (strlen($path) > 1) {
                    if (substr($path, 0, 1) == '$') {
                        $nameArg = substr($path, 1);
                    }
                }
                // Вызвать функцию трансформации
                $path = $cb($path, $nameArg);
                // Сделать замены
                return str_replace('$', '\\$', $path);
            },
            explode('/', $this->patternRoot)
        ));
    }
}
