<?php

namespace Shasoft\SamoyedCMG\Service;

// Кеширование
interface ICache extends IService
{
    // Установить
    public function put(string $key, mixed $value): ICache;
    // Проверить наличие
    public function has(string $key): bool;
    // Получить значение
    public function get(string $key): mixed;
    // Удалить
    public function remove(string $key): ICache;
    // Удалить все данные
    public function clear(): ICache;
}
