<?php

namespace Shasoft\SamoyedCMG\Test;

use Shasoft\SamoyedCMG\Test\TestGenerator;
use Shasoft\SamoyedCMG\Generator\PathGenerator;
use Shasoft\SamoyedCMG\Generator\SiteGenerator;
use Shasoft\SamoyedCMG\Generator\DomainGenerator;
use Shasoft\SamoyedCMG\Test\TestController;
use Shasoft\SamoyedCMG\Generator\Route\RouteGeneratorController;
use Shasoft\SamoyedCMG\Generator\RouteGenerator;

// Тестовый сайт
class TestSiteGenerator extends SiteGenerator
{
    // Конструктор
    public function __construct(string $classname)
    {
        parent::__construct();
        /*
        // Создаnm создатель теста
        $testGenerator = new TestGenerator($classname);
        // Добавить домен
        $this->addDomain($testGenerator->domain(), function (DomainGenerator $domain) use ($testGenerator) {
            // Добавить путь
            $domain->addPath($testGenerator->path(), null, function (PathGenerator $path) use ($testGenerator) {
                // Добавить маршрут
                $path->addRoute(new RouteGeneratorController($testGenerator->classnameController()), function (RouteGenerator $route)  use ($testGenerator) {
                    $testGenerator->attachRoute($route);
                });
            });
        });
        //*/
        // Создаnm создатель теста
        $testGenerator = new TestGenerator($classname);
        // Добавить домен
        $this->addDomain($testGenerator->domain(), function (DomainGenerator $domain) use ($testGenerator) {
            // Добавить путь
            $domain->addPath($testGenerator->path(), null, function (PathGenerator $path) use ($testGenerator) {
                // Добавить маршрут
                $path->addGenerator($testGenerator);
            });
        });
    }
}
