<?php
// Отключить вывод ошибок
error_reporting(E_ERROR | E_PARSE);

use Shasoft\Support\Php;
use Shasoft\Support\File;

// Подключить файлы Composer
require $argv[1];

// Загрузить список файлов
$files = File::load($argv[2]);

// Удалить файл
unlink($argv[2]);

// Список классов
$classesRet = [];

// создание буфера вывода
ob_start();

register_shutdown_function(function () use ($argv, &$files, &$classesRet) {
    // Сохранить
    File::save($argv[2], $files);
    File::save($argv[3], $classesRet);
    // сбросить буфер, завершить работу буфера
    ob_end_clean();
});

// Искать классы
while (!empty($files)) {
    $filepath = array_pop($files);
    //s_print($filepath);
    $classes = Php::getFileClasses($filepath);
    if ($classes !== false) {
        foreach ($classes as $classname => $fn_exists) {
            $classesRet[$classname] = $filepath;
        }
    }
}
