<?php

namespace Shasoft\Support\Values;

use Shasoft\Support\Values\RefValues;

// Часть значение
class Chunck
{
    use ChunckTrait;
    use ChunckGetTrait;
    use ChunckSetTrait;
    // Конструктор
    public function __construct($ref_values = null, $key = null)
    {
        if (is_null($ref_values)) {
            $ref_values = new RefValues();
        } else if (is_array($ref_values)) {
            $ref_values = new RefValues($ref_values);
        }
        // Ссылка на данные
        $this->ref_values = $ref_values;
        // Ключ
        $this->key = $key;
    }
}
